---
const {config} = Astro.props;
---

<div class="swiper-slide">
  <div class="config">
    <div class="config__info">
      <div class="config__title">{config.title}</div>
      <div class="config__parameters">
        <div class="config__parameters-group">
          <div class="parameters-group__caption body-caption">Процессор</div>
          <div class="parameters-group__parameter body-1">{config.cpu}</div>
        </div>

        <div class="config__parameters-group">
          <div class="parameters-group__caption body-caption">Память</div>
          <div class="parameters-group__parameter body-1">{config.ram}</div>
        </div>

        <div class="config__parameters-group">
          <div class="parameters-group__caption body-caption">Диски</div>
          <div class="parameters-group__parameter body-1">
            {config.storage}
          </div>
        </div>
      </div>
    </div>

    <div class="config__offer">
      <div class="config__price">
        <span class="body-caption"> от</span>
        <span class="price-value">{config.rent_price} ₽</span>
        <span class="body-caption"> / в месяц</span>
      </div>
      <a href={`/configs/${config.id}`} class="secondary-button button-medium">Заказать</a>
    </div>
  </div>
</div>



<style lang="scss">
  @import "../scss/vars";
  .config {
    position: relative;
    display: flex;
    flex-direction: column;
    // Spacing
    gap: 5rem;

    flex: 0 0 auto;
    // Spacing
    padding: 2.5rem;

    border-radius: $border-radius;
    border: 1px solid $stroke;

    transition: all 0.4s ease-in-out;
  }
  .config::before {
    display: block;
    position: absolute;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: -100;
    background-image: url("img/config-bg-hover.png");
    background-size: cover;
    border-radius: $border-radius;
    background-color: #8c34fa;

    transition: all 0.4s ease-in-out;

    opacity: 0;
  }
  .config__title {
    font-size: 2rem;
    font-weight: 500;
    line-height: 120%; /* 2.4rem */
    text-transform: uppercase;
    // Spacing
    margin-bottom: 2.5rem;

    height: 4.75rem;
  }
  .config__parameters-group:not(:last-child) {
    // Spacing
    margin-bottom: 1.5rem;
  }
  .parameters-group__caption {
    color: $text-gray;
    margin-bottom: 0.25rem;
  }
  .config__offer {
    display: flex;
    flex-direction: column;
    // Spacing
    gap: 2.5rem;
  }
  .price-value {
    font-size: 2rem;
    font-weight: 500;
    line-height: 120%; /* 2.4rem */
    text-transform: uppercase;
    margin: 0 0.5rem;
  }
  .config .body-caption {
    transition: color 0.4s ease-in-out;
  }
  .swiper-slide-active > .config .body-caption {
    color: $text-white;
  }

  @media screen and (min-width: 768px) {
    .swiper-slide-active .config {
      background-color: $surface;
    }
    .config:hover {
      transform: translateY(-2rem);
      border-color: transparent;
    }
    .config:hover .body-caption {
      color: $text-white;
    }
    .config:hover::before {
      opacity: 1;
    }
  }

  @media screen and (max-width: 768px) {
    .config {
      // Spacing
      padding: 2rem;
      transition: all 0.25s ease-in-out;
    }
    .config__header {
      margin-bottom: 5rem;
    }
    .config__title {
      font-size: 1.5rem;
    }
    .price-value {
      font-size: 1.5rem;
    }
    .swiper-slide-active .config {
      transform: translateY(-1rem);
      border-color: transparent;
    }
    .swiper-slide-active .config .body-caption {
      color: $text-white;
    }
    .swiper-slide-active .config::before {
      opacity: 1;
    }
  }

  @media screen and (max-width: 640px) {
    .config__nav-buttons {
      display: none;
    }
    .config {
      // Spacing
      padding: 1.5rem;
      gap: 2.5rem;
    }
    .config__title {
      font-size: 1.25rem;
    }
    .price-value {
      font-size: 1.2rem;
      margin: 0;
    }
  }

  @media screen and (max-width: 480px) {
    .config__header {
      margin-bottom: 3rem;
    }
    .config .secondary-button {
      padding: 0.75rem 1.25rem;
      font-size: 0.75rem;
      line-height: 1rem; /* 133.333% */
      letter-spacing: 0.03125rem;
    }
  }
</style>
